Bug 988489 - (gimp-dds-plugin) Review Request: gimp-plugin-dds - A plugin for GIMP allows you to load/save in the DDS format
Review Request: gimp-plugin-dds - A plugin for GIMP allows you to load/save i...
Status: CLOSED DUPLICATE of bug 821404
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 13:13 EDT by Luya Tshimbalanga
Modified: 2013-07-30 04:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 03:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2013-07-25 13:13:05 EDT
Spec URL: http://luya.fedorapeople.org/packages/SPEC/gimp-dds-plugin.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/gimp-dds-plugin-2.2.1-1.fc19.src.rpm
Description: A plugin for GIMP allowing to load and save images in the
Direct Draw Surface (DDS) format.
Fedora Account System Username: luya
Comment 1 Luya Tshimbalanga 2013-07-25 13:18:04 EDT
Koji result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5655001

rpmlint result:
$ rpmlint rpmbuild/SRPMS/gimp-dds-plugin-2.2.1-1.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SPECS/gimp-dds-plugin.spec 
rpmbuild/SPECS/gimp-dds-plugin.spec: W: invalid-url Source0: https://gimp-dds.googlecode.com/files/gimp-dds-2.2.1.tar.bz2 HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Note rpmlint warning is a false negative because the url is working fine.

The changelog shows the spec is originally from Russian Fedora adapted to Fedora Packaging guideline
Comment 2 Christopher Meng 2013-07-29 04:36:59 EDT
404...
Comment 3 Igor Gnatenko 2013-07-29 05:31:06 EDT
Error 404 downloading http://luya.fedorapeople.org/packages/SPEC/gimp-dds-plugin.spec
Comment 5 Igor Gnatenko 2013-07-29 06:48:26 EDT
Use configure:
%prep
...
echo '#!/bin/bash' > configure
chmod +x configure

%build
%configure
...


Change Release version. In changelog you are using '2', but in Release tag see '1'.


Do not use other utilites in %install section and use %make_install instead of make install DESTDIR=...

%install
%make_install


Add TODO and INSTALL to %doc and I think good idea add files from doc/ firectory to %doc
Comment 7 Luya Tshimbalanga 2013-07-29 14:17:35 EDT
Thank you the suggestion. I updated the spec file and kept the changelog as it is.


SRPMS: http://luya.fedorapeople.org/packages/SRPMS/gimp-dds-plugin-2.2.1-3.fc19.src.rpm
SPEC: http://luya.fedorapeople.org/packages/SPECS/gimp-dds-plugin.spec
Comment 8 Christopher Meng 2013-07-29 23:38:53 EDT
(In reply to Igor Gnatenko from comment #5)
> 
> Do not use other utilites in %install section and use %make_install instead
> of make install DESTDIR=...

It's not a MUST.

> Add TODO and INSTALL to %doc and I think good idea add files from doc/
> firectory to %doc

You shouldn't include INSTALL in your %doc section. It's useless for users.
Comment 9 Christopher Meng 2013-07-29 23:44:55 EDT
IMO you'd better using gimp-plugin-xxx to name the plugins. The current one is not good, and see Mageia/Archlinux/OpenSUSE(has this plugin, too), they also name this plugin or such plugins in this way, we should keep the same.

And you should also create a subpackage named -doc to contain the doc/.
Comment 10 Luya Tshimbalanga 2013-07-30 00:46:21 EDT
In that case, it would be better to contact current maintainers of gimp plugins for the name convention:
- gimp-fourier-plugin
- gimp-lqr-plugin
Comment 11 Christopher Meng 2013-07-30 00:52:32 EDT
It depends on you.

Anyway, please drop the install file and include the docs.
Comment 12 Vasiliy Glazov 2013-07-30 03:21:41 EDT
I think my reviw request was first.
https://bugzilla.redhat.com/show_bug.cgi?id=821404
Comment 13 Luya Tshimbalanga 2013-07-30 03:37:11 EDT
(In reply to Vasiliy Glazov from comment #12)
> I think my reviw request was first.
> https://bugzilla.redhat.com/show_bug.cgi?id=821404

Ah good to know, in that case I leave you the updated spec to help you packaging:

SRPMS: http://luya.fedorapeople.org/packages/SRPMS/gimp-plugin-dds-2.2.1-4.fc19.src.rpm
SPEC: http://luya.fedorapeople.org/packages/SPECS/gimp-plugin-dds.spec

Hope it helps.
Comment 14 Luya Tshimbalanga 2013-07-30 03:46:24 EDT
I am closing this report to avoid duplicating the work if Igor doesn't mind. I have another package for review #989359. Thank you for the helps.

*** This bug has been marked as a duplicate of bug 821404 ***
Comment 15 Michael Schwendt 2013-07-30 04:04:15 EDT
> gimp-fourier-plugin
> gimp-lqr-plugin

Those names seem to be okay, because the naming scheme is  %{parent}-%{child}  with %parent being "gimp":

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28General.29

If one reversed the order of the two name parts in %child, the %parent prefix would stay the same and would help with listing packages that are named gimp*.

| gimp-high-pass-filter
| gimp-normalmap
| gimp-resynthesizer

Those are plug-in packages without "-plugin" in their name.

A user, who lists "gimp-plugin*" to find add-on packages, will have trouble finding all these, however that's the user's mistake. Just look at "yum list gimp*", for example.

Note You need to log in before you can comment on or make changes to this bug.